List Mega Bundle

List Mega Bundle
List mega bundles

List of mega bundles. Optionally filter by bundle type.

Request
URI
GET
https://{api_host}/ssp/security-content/bundles
COPY
Query Parameters
bundle_type
Optional

Optional filter to return only mega bundles of the specified type. If not provided, returns all types.


Authentication
This operation uses the following authentication methods.
Responses
200

Successful response.

Returns MegaBundleListResult of type(s) application/json
This response body class contains all of the following: ListResult , InlineMegaBundleListResult1
{
    "total_result_count": 2,
    "results": [
        {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "bundle_id": "nsx-security-content-v2.1.0",
            "bundle_type": "FIREWALL_ATP",
            "source": "MANUAL_UPLOAD",
            "upload_status": "SUCCESS",
            "status_message": "Bundle successfully deployed with 3 features",
            "manifest_version": "1.0",
            "ssp_version": "5.2.0",
            "bundle_creation_time": 1751433673000
        },
        {
            "id": "456e7890-e89b-12d3-a456-426614174001",
            "bundle_id": "nsx-security-content-v2.0.0",
            "bundle_type": "FIREWALL_ATP",
            "source": "PACKAGED",
            "upload_status": "SUCCESS"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/security-content/bundles